### org.jfree.layouting.input.style.selectors

# Class CSSSilblingSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSSilblingSelector`

Implemented Interfaces:
  Selector, Serializable, SiblingSelector, CSSSelector

`public class CSSSilblingSelector`
`extends AbstractSelector`
`implements SiblingSelector`

We do not support DOM node types, we always assume elements here (or evaluate both selectors to see if they match).

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSSilblingSelector(short nodeType, Selector selector, SimpleSelector silblingSelector)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `short`

  `getNodeType()`
    The node type to considered in the siblings list.

  `Selector`

  `getSelector()`
    Returns the first selector.

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  `SimpleSelector`

  `getSiblingSelector()`

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSSilblingSelector

    public CSSSilblingSelector(short nodeType,
                               Selector selector,
                               SimpleSelector silblingSelector)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getNodeType

    public short getNodeType()

> The node type to considered in the siblings list. All DOM node types are supported. In order to support the "any" node type, the code ANY_NODE is added to the DOM node types.

### getSelector

    public Selector getSelector()

> Returns the first selector.

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`

### getSiblingSelector

    public SimpleSelector getSiblingSelector()